package com.liquidnet.common.third.zxlnft.dto.nft;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: NftTransferReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:55
 */
@Data
public class Nft046TransferResp implements Serializable {
    /**
     * 任务ID
     */
    private String taskId;

    private static final Nft046TransferResp obj = new Nft046TransferResp();
    public static Nft046TransferResp getNew() {
        try {
            return (Nft046TransferResp) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft046TransferResp();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
